Bug 221344 - NoClassDefFoundError: Could not initialize class org.netbeans.modules.cnd.debugger.common2.debugger.NativeDebuggerManager$LazyInitializer
NoClassDefFoundError: Could not initialize class org.netbeans.modules.cnd.deb...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.3
All All
: P1 (vote)
: 7.3
Assigned To: henk89
issues@cnd
EXCEPTIONS_REPORT
: 73_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-02 12:50 UTC by Alexander Simon
Modified: 2013-01-16 00:01 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (8.40 KB, text/plain)
2012-11-02 12:50 UTC, Alexander Simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2012-11-02 12:50:44 UTC
Build: NetBeans IDE Dev (Build 20121102-e599cc9f2072)
VM: Java HotSpot(TM) Client VM, 20.8-b03, Java(TM) SE Runtime Environment, 1.6.0_33-b03
OS: SunOS

User Comments:
GUEST: im runing this code

#include <stdio.h>
#include <unistd.h>
#include <signal.h>
#include <stdlib.h>


int main()
{
    int i=0,n=0,j=0;pid_t p;
    scanf("%d",&n);
    for(i=0;i<n;i++){
        //if((p=fork())==0){
        if(!(p=fork())){
            printf(" Mi Id es %d Y mi Padre es %d\n",getpid(),getppid());
        }
        else{break;}
    }
    for(j=0;j<n;j++){	
        wait(NULL);
    }
    return 0;
}

danlugli: The error happened at the end of the creation of a new c++ project based on an existing makefile.

GUEST: opened a file from Output compiler (click on the link inside)

GUEST: Starting a C++ file

GUEST: Opening a C header file.




Stacktrace: 
java.lang.NoClassDefFoundError: Could not initialize class org.netbeans.modules.cnd.debugger.common2.debugger.NativeDebuggerManager$LazyInitializer
   at org.netbeans.modules.cnd.debugger.common2.debugger.NativeDebuggerManager.get(NativeDebuggerManager.java:204)
   at org.netbeans.modules.cnd.debugger.common2.debugger.actions.NativeActionsProvider.getDebugger(NativeActionsProvider.java:89)
   at org.netbeans.modules.cnd.debugger.common2.debugger.actions.NativeActionsProvider.<init>(NativeActionsProvider.java:65)
   at org.netbeans.modules.cnd.debugger.common2.debugger.actions.ToggleBreakpointActionProvider.<init>(ToggleBreakpointActionProvider.java:91)
   at sun.reflect.NativeConstructorAccessorImpl.newInstance0(NativeConstructorAccessorImpl.java:0)
   at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:39)
Comment 1 Alexander Simon 2012-11-02 12:50:46 UTC
Created attachment 126998 [details]
stacktrace
Comment 2 Egor Ushakov 2013-01-10 08:45:36 UTC
Too many reports, raised to P2
Comment 3 henk89 2013-01-11 16:25:40 UTC
Fixed in:
http://hg.netbeans.org/cnd-main/rev/9b210d39cd5d
Comment 4 Vladimir Voskresensky 2013-01-11 16:44:30 UTC
Nikolay,
what was the reason to comment out disasm in lexer.xml?
Comment 5 Quality Engineering 2013-01-12 02:53:28 UTC
Integrated into 'main-golden', will be available in build *201301120001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9b210d39cd5d
User: Nikolay Koldunov <henk89@netbeans.org>
Log: Fixed #221344 - NoClassDefFoundError: Could not initialize class org.netbeans.modules.cnd.debugger.common2.debugger.NativeDebuggerManager$LazyInitializer
Comment 6 henk89 2013-01-14 08:06:34 UTC
(In reply to comment #4)
> Nikolay,
> what was the reason to comment out disasm in lexer.xml?

NB invokes the DisassemblerWindow's constructor while processing layer.xml. This activity leads to concurrency.

By the way, this window was replaced with another one.
Comment 7 Alexander Pepin 2013-01-14 11:55:25 UTC
Verified in NB trunk build 20130114. Disassembly works as expected, NoClassDefFoundError does not appear.
 Please proceed with HR integration process.
Comment 8 henk89 2013-01-15 08:16:41 UTC
Integrated into 'release73':
http://hg.netbeans.org/releases/rev/3563e92ef90f
Comment 9 Quality Engineering 2013-01-16 00:01:20 UTC
Integrated into 'releases', will be available in build *201301152100* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/3563e92ef90f
User: Nikolay Koldunov <henk89@netbeans.org>
Log: Fixed #221344 - NoClassDefFoundError: Could not initialize class org.netbeans.modules.cnd.debugger.common2.debugger.NativeDebuggerManager$LazyInitializer
(transplanted from 9b210d39cd5d6575e0c9d88640abdc92926e5110)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo